Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Class ALFolderDescription

    java.lang.Object
      org.jasig.portal.layout.node.UserLayoutNodeDescription
          org.jasig.portal.layout.node.UserLayoutFolderDescription
              org.jasig.portal.layout.alm.ALFolderDescription

All Implemented Interfaces:
  IALFolderDescription, IALNodeDescription, IALNodeProperties, IUserLayoutFolderDescription, IUserLayoutNodeDescription

    public class ALFolderDescription

extends UserLayoutFolderDescription
implements IALFolderDescription

An extension of the FolderDescription for the Aggregated Layout implementation. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.0 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Peter Kharchenko

Field Summary
`protected ALNodeProperties` | `alproperties`

Fields inherited from class org.jasig.portal.layout.node.UserLayoutFolderDescription
`folderType, folderTypeNames, FOOTER_TYPE, HEADER_TYPE, REGULAR_TYPE`

Fields inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`addChildAllowed, deleteAllowed, editAllowed, hidden, id, immutable, moveAllowed, name, precedence, unremovable`

Fields inherited from interface org.jasig.portal.layout.alm.IALFolderDescription
`LOST_FOLDER_ID, ROOT_FOLDER_ID`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutFolderDescription
`folderTypeNames, FOOTER_TYPE, HEADER_TYPE, REGULAR_TYPE`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Constructor Summary
`ALFolderDescription()`
`ALFolderDescription(org.w3c.dom.Element xmlNode)`
`ALFolderDescription(IUserLayoutFolderDescription d)`

Method Summary
`void` | `addRestriction(IUserLayoutRestriction restriction)` Adds the restriction for this node.
`void` | `addRestrictionChildren(org.w3c.dom.Element node, org.w3c.dom.Document root)`
`java.lang.String` | `getFragmentId()` Get fragment id
`java.lang.String` | `getFragmentNodeId()` Get fragment node id
`java.lang.String` | `getGroup()` Gets the priority value for this node.
`IUserLayoutRestriction` | `getRestriction(java.lang.String restrictionName)` Gets a restriction by the type.
`java.util.Hashtable` | `getRestrictions()` Gets the hashtable of restrictions bound to this node
`java.util.Vector` | `getRestrictionsByPath(java.lang.String restrictionPath)` Gets a restrictions list by a restriction path.
`void` | `setFragmentId(java.lang.String fragmentId)` Set fragment id
`void` | `setFragmentNodeId(java.lang.String fragmentNodeId)` Set fragment node id
`void` | `setGroup(java.lang.String group)` Sets the group identificator for this node.
`void` | `setRestrictions(java.util.Hashtable restrictions)` Sets the hashtable of restrictions bound to this node

Methods inherited from class org.jasig.portal.layout.node.UserLayoutFolderDescription
`addNodeAttributes, getFolderType, getType, getXML, setFolderType`

Methods inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`createUserLayoutNodeDescription, getId, getName, getPrecedence, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutFolderDescription
`getFolderType, getXML, setFolderType`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Field Detail

### alproperties

    protected ALNodeProperties alproperties

Constructor Detail

### ALFolderDescription

    public ALFolderDescription()

### ALFolderDescription

    public ALFolderDescription(IUserLayoutFolderDescription d)

### ALFolderDescription

    public ALFolderDescription(org.w3c.dom.Element xmlNode)
                        throws PortalException

Throws:
  `PortalException`

Method Detail

### setFragmentId

    public void setFragmentId(java.lang.String fragmentId)

  Set fragment id

  Specified by:
    `setFragmentId` in interface `IALNodeProperties`
  Parameters:
    `fragmentId` - a `String` value

### getFragmentId

    public java.lang.String getFragmentId()

  Get fragment id

  Specified by:
    `getFragmentId` in interface `IALNodeProperties`
  Returns:
    a `String` value

### setFragmentNodeId

    public void setFragmentNodeId(java.lang.String fragmentNodeId)

  Set fragment node id

  Specified by:
    `setFragmentNodeId` in interface `IALNodeProperties`
  Parameters:
    `fragmentNodeId` - a `String` value

### getFragmentNodeId

    public java.lang.String getFragmentNodeId()

  Get fragment node id

  Specified by:
    `getFragmentNodeId` in interface `IALNodeProperties`
  Returns:
    a `String` value

### setGroup

    public void setGroup(java.lang.String group)

  Sets the group identificator for this node.

  Specified by:
    `setGroup` in interface `IALNodeProperties`
  Parameters:
    `group` - a `String` group identificator value

### getGroup

    public java.lang.String getGroup()

  Gets the priority value for this node.

  Specified by:
    `getGroup` in interface `IALNodeProperties`

### setRestrictions

    public void setRestrictions(java.util.Hashtable restrictions)

  Sets the hashtable of restrictions bound to this node

  Specified by:
    `setRestrictions` in interface `IALNodeProperties`
  Parameters:
    `restrictions` - a `Hashtable` of restriction expressions

### getRestrictions

    public java.util.Hashtable getRestrictions()

  Gets the hashtable of restrictions bound to this node

  Specified by:
    `getRestrictions` in interface `IALNodeProperties`
  Returns:
    a set of restriction expressions

### addRestriction

    public void addRestriction(IUserLayoutRestriction restriction)

  Adds the restriction for this node.

  Specified by:
    `addRestriction` in interface `IALNodeProperties`
  Parameters:
    `restriction` - a `IUserLayoutRestriction` a restriction

### getRestriction

    public IUserLayoutRestriction getRestriction(java.lang.String restrictionName)

  Gets a restriction by the type.

  Specified by:
    `getRestriction` in interface `IALNodeProperties`
  Parameters:
    `restrictionName` - a `String` name of the restriction
  Returns:
    a IUserLayoutRestriction

### getRestrictionsByPath

    public java.util.Vector getRestrictionsByPath(java.lang.String restrictionPath)

  Gets a restrictions list by a restriction path.

  Specified by:
    `getRestrictionsByPath` in interface `IALNodeProperties`
  Parameters:
    `restrictionPath` - a `String` restriction path
  Returns:
    a IUserLayoutRestriction

### addRestrictionChildren

    public void addRestrictionChildren(org.w3c.dom.Element node,
                                       org.w3c.dom.Document root)

  Specified by:
    `addRestrictionChildren` in interface `IALNodeProperties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD